Du bist nicht angemeldet.

Eine Antwort schreiben

Schreibe deinen Beitrag und versende ihn
Beitragsoptionen
Deine Antwort

Zurück

Themen-Übersicht (Neuester Beitrag zuerst)

Tinitus
11.02.2019 09:58:20

Hallo,

Danke für die Antwort.

Habe schließlich von hier https://github.com/VDR4Arch/vdr4arch/tree/kodi18 die pkgbuilds genommen.
Danke Euch allen

Galde75
08.02.2019 19:05:26

Je nachdem welche Kodiversion du verwendest und welche Art (die im Gitrepo oder AUR Git-Version) muss Du anders vorgehen

Die Anleitung im Git-Repo:

Hinten an die "git clone" die gewollte Branch anhängen

Kodi17 :

git clone https://github.com/xbmc/xbmc.git#branch=Krypton
git clone https://github.com/kodi-pvr/pvr.vdr.vnsi.git#branch=Krypton

Bei Kodi18::

git clone https://github.com/xbmc/xbmc.git#branch=Leia
git clone https://github.com/kodi-pvr/pvr.vdr.vnsi.git#branch=master

Bei dem AUR Paket:

in der PKGBUILD die passende API setzen (welche steht drinnen)

API=

Falls Kodi18 verwendet wird zusätzlich in den Zeilen:

case "$API" in
  17)  source[0]="${pkgname}::git+https://github.com/kodi-pvr/pvr.vdr.vnsi.git#branch=Krypton" ;;
  18)  ;; #source[0]="${pkgname}::git+https://github.com/kodi-pvr/pvr.vdr.vnsi.git#branch=Leia" ;;
  99)  ;;
  *)   echo "Unknown API version. Follow instructions in PKGBUILD." && false
esac

Die Zeile mit der 18 anpassen:

18) source[0]="${pkgname}::git+https://github.com/kodi-pvr/pvr.vdr.vnsi.git#branch=master" ;;

Da er die PKGBUILD noch nicht für 18 vervollständigt hat weis ich nicht ob es dann korrekt baut und funktioniert, und auch grad keine Zeit das zu testen.


Habe es jetzt doch mal probiert, die AUR-Version lässt sich bei mir für Kodi18 einwandfrei bauen und wird auch von Kodi18 akzeptiert.

Noch wichtig für die Zukunkt: das Addon Git-Repo hat noch keinen "Leia" Branch, daher muss dort immer "master" verwendet werden. Später wird das aber sicher geändert und dann muss dort auch überall Leia eingetragen werden.

p37
08.02.2019 18:31:44

Merkwürdig, habe hier keine Probleme.

[p37@OdiH2 ~]$ pacman -Qs kodi
local/kodi 17.6-9
    A software media player and entertainment hub for digital media
local/kodi-addon-pvr-vdr-vnsi 2.6.24-1
    PVR add-on for XBMC to add VDR as a TV/PVR Backend
[p37@OdiH2 ~]$

Galde75
08.02.2019 17:40:13

Ich verwende dieses Addon nicht, daher nur eine Vermutung...

Den richtigen branch für die passende Kodiversion gewählt?

Archrepo hat noch Kodi17(Krypton), gibt aber seit einigen Tagen offiziell Kodi18(Leia/Master).

Tinitus
08.02.2019 13:17:56

Die git Version ist 2.6.35 ...auch zu alt.

Tinitus
08.02.2019 13:14:57

Hallo,

das installiert die Version 2.64-1 Da kommt die Fehlermeldung das Plugin ist nicht kompatibel....

p37
08.02.2019 13:11:39

@Tinitus
Ja zu alt, da hab ich auch mit gekämpft,

"pacman -S vdr kodi-addon-pvr-vdr-vnsi vdr-vnsiserver"

installiert alles was Du brauchst.
Gruß
p37

hcjl
08.02.2019 13:07:08

Auch das Git-Packet?

Tinitus
08.02.2019 08:18:46

Wenn ich das Paket aus dem aur nehme kommt unter kodi, daß das Paket zu alt ist...

nik
08.02.2019 07:34:35

@Tinitus das ist ja nur die Bildanleitung. Anschließend musst du das Addon noch über Kodi selbst installieren.
Eine Anleitung dafür findest du z.B. hier: https://www.heise.de/tipps-tricks/Kodi- … stallieren

Ich rate dir aber auch, ein AUR-Paket zu nutzen. So musst du das Paket nicht bei jedem Update selbst bauen.

hcjl
07.02.2019 21:48:56

Versuche doch eine der AUR Versionen.

Tinitus
07.02.2019 13:16:48

Hallo,

ich habe mir kodi installiert. Nun möchte ich das vnsi Plugin installieren

Nach Anleitung hier:

https://github.com/kodi-pvr/pvr.vdr.vnsi

Wie bekomme ich nun das Plugin in Kodi eingebunden. Es wird in mein Home Verzeichnung ins Verzeichnis xbmc kopiert und dann?

Grüß

Fußzeile des Forums

Powered by FluxBB